# Copyright 2018 apeos contributors
#
# apeos main makefile, GNU make
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.

APEOS_VERSION := $(shell printf "%s" "$(shell git rev-parse HEAD)"; if test -n "$(shell git status -s)"; then printf "%s" -dirty; fi)

.PHONY: default
default: all_binaries

.PHONY: all_binaries
all_binaries: apeos_version

.PHONY: apeos_version
apeos_version:
	@echo "apeos version $(APEOS_VERSION)"

# build posix static binary
all_binaries: posix
.PHONY: posix
posix:
	$(MAKE) -f posix.mk GCC_PREFIX=arm-linux-musleabihf-

# build esp-32 flash binary, through esp-idf-v3
all_binaries: esp
.PHONY: esp
esp:
	$(MAKE) -f esp-idf.mk
